@rem = '--*-Perl-*--
@echo off
if "%OS%" == "Windows_NT" goto WinNT
perl -x -S "%0" %1 %2 %3 %4 %5 %6 %7 %8 %9
goto endofperl
:WinNT
perl -x -S %0 %*
if NOT "%COMSPEC%" == "%SystemRoot%\system32\cmd.exe" goto endofperl
if %errorlevel% == 9009 echo You do not have Perl in your PATH.
if errorlevel 1 goto script_failed_so_exit_with_non_zero_val 2>nul
goto endofperl
@rem ';
#!C:\Perl64-5.12\bin\perl.exe 
#line 15

# workaround for dzil
package list_org_todos;
BEGIN {
  $list_org_todos::VERSION = '0.01';
}
# ABSTRACT: A utility to list todo items in Org files

use 5.010;
use strict;
use warnings;

use Sub::Spec::CmdLine qw(run);

run(module => 'App::ListOrgTodos', sub=>'list_org_todos');



=pod

=head1 NAME

list_org_todos - A utility to list todo items in Org files

=head1 VERSION

version 0.01

=head1 SYNOPSIS

 # list all todos in all Org files
 $ list-org-todos ~/todos/*.org

 # list todos that are due in 7 days
 $ list-org-todos --due --days-before 7 FILES...

 # list todos that are due or past-due
 $ list-org-todos --due --days-before 7 FILES...

 # list todos that have a certain state
 $ list-org-todos --state CANCELLED FILES...

=head1 DESCRIPTION

This is a simple application to list todo items in Org files, first created as a
demo for L<Org::Parser>.

This script is previously named I<remind-due-todos>.

=head1 SEE ALSO

L<list-org-headlines>, a slightly more general version. This script is basically
equivalent to "list-org-headlines --todo ...".

=head1 AUTHOR

Steven Haryanto <stevenharyanto@gmail.com>

=head1 COPYRIGHT AND LICENSE

This software is copyright (c) 2011 by Steven Haryanto.

This is free software; you can redistribute it and/or modify it under
the same terms as the Perl 5 programming language system itself.

=cut


__END__


__END__
:endofperl
